Android SDK is Outdated (Solved by Myself)

Hello everyone. I get this error when I try to build for Android:
9812838--1409523--upload_2024-5-3_21-32-43.png

Aaand if I click Update Android SDK, I get this error:
9812838--1409526--upload_2024-5-3_21-33-16.png

The weird thing, I downloaded the SDKs by Android Studio and copied them into the used version's SDK folder (the version is 2021.3.31f):
9812838--1409529--upload_2024-5-3_21-35-12.png

So, how doesn't it work? I am trying to build it for target api level 34 and SDK for 34 is already downloaded but it doesn't work. Is there anyone who can help? Thank you

Heyy. I just solved the problem. I didn't have platform-tools folder in my unity folder. When I copied the whole folder from Android Studio folder, it's solved.

9812910--1409559--upload_2024-5-3_22-6-37.png

1 Like

Thank you MegGriffin. It worked for me also.

1 Like